Bug 841641 - Review Request: rubygem-gearchanger-mcollective-plugin - GearChanger plugin for mcollective service
Summary: Review Request: rubygem-gearchanger-mcollective-plugin - GearChanger plugin f...
Keywords:
Status: CLOSED DUPLICATE of bug 845107
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 839064
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-19 17:24 UTC by Adam Miller
Modified: 2012-08-01 19:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-01 19:15:03 UTC


Attachments (Terms of Use)

Description Adam Miller 2012-07-19 17:24:08 UTC
Spec URL: http://maxamillion.fedorapeople.org/gearchanger-mcollective-plugin.spec
SRPM URL: http://maxamillion.fedorapeople.org/rubygem-gearchanger-mcollective-plugin-0.1.1-1.el6.src.rpm
Description: GearChanger plugin for mcollective based node/gear manager
Fedora Account System Username: maxamillion

Comment 1 Troy Dawson 2012-07-24 22:13:41 UTC
Informal Review:
The spec file needs to match the rpm name.
Please rename gearchanger-mcollective-plugin.spec to rubygems-gearchanger-mcollective-plugin.spec

Although you have these variables defined for older releases, you don't use them when it is time to.  Please use
%{gem_instdir}
%{gem_docdir}
%{gem_cache}
%{gem_spec}

Also, for your definition, you should define gem_spec as 

  %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec

For Source0, use http://mirror.openshift.com/ instead of https://mirror.openshift.com/
Sometimes for the automated testing it doesn't like the https, and the http works just fine.

From rpmlint:
rubygem-gearchanger-mcollective-plugin.noarch: E: script-without-shebang /usr/share/gems/gems/gearchanger-mcollective-plugin-0.1.1/lib/gea
rchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb

Rpmlint Trivial Things:
mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 76)

Comment 2 Adam Miller 2012-07-24 23:07:32 UTC
I would like to add FAS account name tdawson to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson

Comment 3 Adam Miller 2012-08-01 19:15:03 UTC

*** This bug has been marked as a duplicate of bug 845107 ***


Note You need to log in before you can comment on or make changes to this bug.